<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
$processo = $qual_vestibular;
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
?>
<table bgcolor="<? echo $cor_fund_tab; ?>" width="96%" border="0" cellspacing="0" cellpadding="5" align="center" bordercolor="<? echo $cor_bord_tab; ?>">
<tr>
	<td width="80%" valign="top">
<strong><div align="left"><font face="Verdana" size="2" color="#000000">Exibindo gabarito - Sem peso individual</font></div></strong>
<br>
<br>
	<?
		if (!isset($processo)) {
			echo '<strong><div align="center"><font face="Verdana" size="2" color="red">Escolha o Processo Seletivo</font></strong><br><br>';
			// Obetendo relação de processos Seletivos da Funec
			$sql_processos = "select * from vestibulares where flag = '1' order by codigo DESC";
			$resultado_processos = mysql_query($sql_processos)
				or die ("Erro no gabarito .:.:.:. Código 1");
			$i = 0;
			while ($resultado = mysql_fetch_array($resultado_processos)) {
				echo '<a href="sem_peso.php?processo='.$resultado["codigo"].'"><font color="#000000" face="Verdana" size="2"><b>' . $resultado["vestibular"] . '</b></font></a>';
				if ($i == 0) {
					echo "<br><br>";
					$i = 1;
				}
				else {
					echo '<br>';
				}
			}
		}
		else {
			if (!isset($curso)) {
				// Verifica se o processo seletivo esta liberado realmente para exibição
				$sql_teste = "select * from vestibulares where codigo = $processo";
				$resultado_teste = mysql_query($sql_teste)
					or die ("Erro no gabarito .:.:.:. Código 2");
				if (mysql_num_rows($resultado_teste) != 1) {
				echo '<strong><div align="center"><font face="Verdana" size="2" color="red">Gabarito não encontrado ou não liberado até o momento.</font></strong><br><br>';
	?>
				</div>
			</td>
		</tr>
	</table>
	<? 
		include ("include/fim.php");
				exit;
				}
				else {
					$teste = mysql_fetch_array($resultado_teste);
					echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Gabarito do <font color="red">'. $teste[1].'.</font></font></strong><br>';
					echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Escolha o curso</font></font></strong><br><br>';
					$cursos = $teste[2];
					$aux = split(",",$cursos);
					$j = 0;
					for ($i = 0; $j!=1 ; $i++) {
						if ($aux[$i] == '') {
							$j = 1;
						}
						if ($j != 1) {
							$temp_curso = $aux[$i];
							$sql_cursos = "select * from cursos where codigo = $temp_curso";
							$query_cursos = mysql_query($sql_cursos)
								or die ("Erro no gabarito .:.:.:. Código 3");
							$teste = mysql_fetch_array($query_cursos);
							echo '<a href="sem_peso.php?processo='.$processo.'&curso='.$teste[0].'&desc='.urlencode($teste[2]).'"><font face="Verdana" size="2"><b>' . $teste[1] . ' - ' . $teste[2] . '</b></font></a><br>';
						}
					}
				}
	 		}
			else {
				// Verifica se o processo seletivo esta liberado realmente para exibição
				$sql_teste = "select * from vestibulares where codigo = $processo";
				$resultado_teste = mysql_query($sql_teste)
					or die ("Erro no gabarito .:.:.:. Código 2");
				if (mysql_num_rows($resultado_teste) != 1) {
				echo '<strong><div align="center"><font face="Verdana" size="2" color="red">Gabarito não encontrado ou não liberado até o momento.</font></strong><br><br>';
	?>
				</div>
			</td>
		</tr>
	</table>
	<? 
		include ("include/fim.php");
				exit;
				}
				else {
					$teste = mysql_fetch_array($resultado_teste);
					echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Gabarito do <font color="red">'. $teste[1].'.</font></font></strong><br>';
					// verifica se a materia eh realmente do curso
					$sql_teste = "Select * from gabarito_conf where curso= '$curso' and codigo_vest = '$processo'";
					$resultado_teste = mysql_query($sql_teste)
						or die ("Erro no gabarito .:.:.:. Código 5");
					echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Curso de <font color="red">'. $desc.'.</font></font></strong><br>';
					if (mysql_num_rows($resultado_teste) == 0) {
						echo '<strong><div align="center"><br><font face="Verdana" size="2" color="red">Gabarito não encontrado ou não liberado até o momento.</font></strong><br><br>';
	?>
				</div>
			</td>
		</tr>
	</table>
	<? 
						include ("include/fim.php");
						exit;
					}	
					else {
						// Inicio da exibição do Gabarito
						
						
							$sql_gab = "Select * from gabarito_conf where curso= '$curso' and codigo_vest = '$processo' order by codigo_prova ASC";
							$query_gab = mysql_query($sql_gab)
								or die ("Erro no gabarito .:.:.:. Código 6");
							//echo mysql_num_rows($query_gab);
							$caderno_atual = 0;
							echo '<br><table width="85%" border="1" cellspacing="0" cellpadding="0" align="center">';
								while ($gabarito = mysql_fetch_array($query_gab)) {
										$inicio_auxiliar = 0;
										$gabarito_codigo_interno = $gabarito["codigo"];
										$gabarito_materia = $gabarito["materia"];
										$gabarito_numero_questoes = trim(Descriptografar($gabarito["numero_questoes"],$Chave));
										$gabarito_questoes_inicio = trim(Descriptografar($gabarito["inicia_em"],$Chave));
										$gabarito_questoes_fim = trim(Descriptografar($gabarito["finaliza_em"],$Chave));
										$sql_resp_gabarito = "Select * from respostas_gab where codigo_interno = '$gabarito_codigo_interno'";
										$query_resp_gab = mysql_query($sql_resp_gabarito)
											or die ("Erro no gabarito .:.:.:. Código 7");
										while ($respostas_gabarito = mysql_fetch_array($query_resp_gab)) {
											$respostas_obtidas = trim(Descriptografar($respostas_gabarito["respostas"],$Chave));
											$lingua = $respostas_gabarito["le"];
										}
										//echo $gabarito_materia . ' - ' .$respostas_obtidas . '<br>';
										//echo $lingua ;
										$resp_temp = split("X",$respostas_obtidas);
									if ($caderno_atual != $gabarito["codigo_prova"]) {
										$caderno_atual = $gabarito["codigo_prova"];
										echo '<tr>';
											echo '<td colspan="2" align="center"><font color="red" face="Verdana" size="2">&nbsp;</font></td>';
										echo '</tr>';

										echo '<tr>';
											echo '<td colspan="2" align="center"><font color="000000" face="Verdana" size="2"><b>Caderno '.$caderno_atual.'</b></font></td>';
										echo '</tr>';
									}

										echo '<tr>';
											echo '<td colspan="2" align="center"><font color="red" face="Verdana" size="2"><b>'. ObterMateria($gabarito_materia);
											if ($lingua != 0) {
												echo '&nbsp;'.ObterIdioma($lingua);
											}
											echo '</b></font></td>';
										echo '</tr>';

										for ($inicio = $gabarito_questoes_inicio; $inicio <= $gabarito_questoes_fim; $inicio ++) {
											echo '<tr>';
												echo '<td width="30%">';
													echo '<font face="Verdana" size="2" color="#800000">&nbsp;<b>Questão ';
													if ($inicio <= 9)
														echo '0' . $inicio . ':</b></font>'; 
													else
														echo $inicio . ':</b></font>'; 
												echo '</td>';
												echo '<td width="70%">';
													echo '<font color="#000000" face="Verdana" size="2"><b>&nbsp;';
													if (VerificaNulo($inicio,$processo,$curso,$gabarito_materia,$lingua) != 0)
														echo '<font color="red">Questão Anulada</font>';
													else 
														echo $resp_temp[$inicio_auxiliar];
													echo '</b></font>';
													$inicio_auxiliar++;
												echo '</td>';
											echo '</tr>';
										}
								}
							echo '</table>';
						
						// Final da Exibição do Gabarito
					}
				}
			}
		}
	?>
	</div>
	</td>
</tr>
</table>
